Debian Bug report logs - #562828
arno-iptables-firewall: Fails to install / reinstall

version graph

Package: arno-iptables-firewall; Maintainer for arno-iptables-firewall is Michael Hanke <mih@debian.org>; Source for arno-iptables-firewall is src:arno-iptables-firewall.

Reported by: Karl Goetz <karl@kgoetz.id.au>

Date: Mon, 28 Dec 2009 11:15:01 UTC

Severity: normal

Found in version 1.8.8.o

Done: Michael Hanke <michael.hanke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <michael.hanke@gmail.com>:
Bug#562828; Package arno-iptables-firewall. (Mon, 28 Dec 2009 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
New Bug report received and forwarded. Copy sent to Michael Hanke <michael.hanke@gmail.com>. (Mon, 28 Dec 2009 11:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: arno-iptables-firewall: Fails to install / reinstall
Date: Mon, 28 Dec 2009 21:44:10 +1030
Package: arno-iptables-firewall
Version: 1.8.8.o
Severity: normal


Its been reported to me [1] that arno-iptables-firewall fails to
install correctly. This appears to happen with the package in
Ubuntu too [2] (a dozen dupes!).

This may be fixed in git, so appologies if thats the case. Since this bug
prevents the package installing correctly, could a new upload be made to
Debian which fixes it?

thanks,
kk

[1] https://savannah.nongnu.org/bugs/index.php?28391
[2] https://bugs.launchpad.net/bugs/307613


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30.7-libre-fshoppe1 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562828; Package arno-iptables-firewall. (Mon, 28 Dec 2009 13:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. (Mon, 28 Dec 2009 13:33:15 GMT) Full text and rfc822 format available.

Message #10 received at 562828@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Karl Goetz <karl@kgoetz.id.au>, 562828@bugs.debian.org
Subject: Re: Bug#562828: arno-iptables-firewall: Fails to install / reinstall
Date: Mon, 28 Dec 2009 08:30:38 -0500
Hi,

thanks for reporting.


On Mon, Dec 28, 2009 at 09:44:10PM +1030, Karl Goetz wrote:
> Its been reported to me [1] that arno-iptables-firewall fails to
> install correctly. This appears to happen with the package in
> Ubuntu too [2] (a dozen dupes!).

It looks like the guy from [1] never set the EXT_IF variable, hence it
is not configured and cannot start. It looks like he wants to use
debconf and did not set the value. That should appear in

/etc/arno-iptables-firewall/debconf.cfg

That file is not available from the bureport on savannah.nongnu.org. It
would be good to see it.

Looking through the ubuntu bugs, they all seem to refer to version
1.8.8.o-3. That version is not present in any Debian version (stable has
1.8.8.o-2, testing and unstable have 1.9.2.d-1).

> This may be fixed in git, so appologies if thats the case. Since this bug
> prevents the package installing correctly, could a new upload be made to
> Debian which fixes it?

I'm not sure what this bug is about, but it does not seem to show up in
Debian and the version that is affected is not in Debian -- I guess an
upload to Debian cannot fix it.

However, that does not necessarily mean that the source of this bug is
still in the packaging, hence I'll leave this bug open in case more
information is available.


Thanks,

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <michael.hanke@gmail.com>:
Bug#562828; Package arno-iptables-firewall. (Fri, 01 Jan 2010 01:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Michael Hanke <michael.hanke@gmail.com>. (Fri, 01 Jan 2010 01:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 562828@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Michael Hanke <michael.hanke@gmail.com>
Cc: 562828@bugs.debian.org
Subject: Re: Bug#562828: arno-iptables-firewall: Fails to install / reinstall
Date: Fri, 1 Jan 2010 12:14:05 +1030
[Message part 1 (text/plain, inline)]
On Mon, 28 Dec 2009 08:30:38 -0500
Michael Hanke <michael.hanke@gmail.com> wrote:

> Hi,
> 
> thanks for reporting.

Thanks for the reply.
Not sure if you need to be cc'd?

> On Mon, Dec 28, 2009 at 09:44:10PM +1030, Karl Goetz wrote:
> > Its been reported to me [1] that arno-iptables-firewall fails to
> > install correctly. This appears to happen with the package in
> > Ubuntu too [2] (a dozen dupes!).
> 
> It looks like the guy from [1] never set the EXT_IF variable, hence it
> is not configured and cannot start. It looks like he wants to use
> debconf and did not set the value. That should appear in
> 
> /etc/arno-iptables-firewall/debconf.cfg
> 
> That file is not available from the bureport on savannah.nongnu.org.
> It would be good to see it.

I've requested it, perhaps it can be supplied.

> Looking through the ubuntu bugs, they all seem to refer to version
> 1.8.8.o-3. That version is not present in any Debian version (stable
> has 1.8.8.o-2, testing and unstable have 1.9.2.d-1).

hm, I guess i missed the -2 -3 difference.

> > This may be fixed in git, so appologies if thats the case. Since
> > this bug prevents the package installing correctly, could a new
> > upload be made to Debian which fixes it?
> 
> I'm not sure what this bug is about, but it does not seem to show up
> in Debian and the version that is affected is not in Debian -- I
> guess an upload to Debian cannot fix it.

> However, that does not necessarily mean that the source of this bug is
> still in the packaging, hence I'll leave this bug open in case more
> information is available.

I'll try and remember to do more testing next week.
thanks,
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <michael.hanke@gmail.com>:
Bug#562828; Package arno-iptables-firewall. (Thu, 28 Jan 2010 03:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Michael Hanke <michael.hanke@gmail.com>. (Thu, 28 Jan 2010 03:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 562828@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 562828@bugs.debian.org, michael.hanke@gmail.com
Subject: arno-iptables-firewall
Date: Thu, 28 Jan 2010 13:56:15 +1030
[Message part 1 (text/plain, inline)]
hi,
I just installed this in a clean chroot, and it installed perfectly.
Unless someone else reports the same issue I guess it was a system
specific issue.

thanks for your help Michael.
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Hanke <michael.hanke@gmail.com>:
You have taken responsibility. (Thu, 28 Jan 2010 11:27:15 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Thu, 28 Jan 2010 11:27:16 GMT) Full text and rfc822 format available.

Message #25 received at 562828-done@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Karl Goetz <karl@kgoetz.id.au>
Cc: 562828-done@bugs.debian.org
Subject: Re: arno-iptables-firewall
Date: Thu, 28 Jan 2010 06:26:15 -0500
Hi,

On Thu, Jan 28, 2010 at 01:56:15PM +1030, Karl Goetz wrote:
> hi,
> I just installed this in a clean chroot, and it installed perfectly.
> Unless someone else reports the same issue I guess it was a system
> specific issue.

Thanks for the note -- clonsing the bugreport.

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Feb 2010 07:30:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:42:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.